/**********************************************************************************
 * Project: TMVA - a Root-integrated toolkit for multivariate data analysis        *
 * Package: TMVA                                                                   *
 * Class  : TMVA_GeneticGenes                                                     *
 *                                                                                *
 * Description:                                                                   *
 *    Genes definition for genetic algorithm                                      *
 *                                                                                *
 *                                                                                *
 *                                                                                *
 *                                '                                                *
 *                                                                                *
 *                                                                                *
 *                                                                                *
 * Authors (alphabetical):                                                        *
 *      Andreas Hoecker  <Andreas.Hocker@cern.ch> - CERN, Switzerland              *
 *      Xavier Prudent   <prudent@lapp.in2p3.fr>  - LAPP, France                   *
 *      Peter Speckmayer <speckmay@mail.cern.ch>  - CERN, Switzerland              *
 *      Helge Voss       <Helge.Voss@cern.ch>     - MPI-KP Heidelberg, Germany     *
 *      Kai Voss         <Kai.Voss@cern.ch>       - U. of Victoria, Canada         *
 *                                                                                *
 * Copyright (c) 2005:                                                            *
 *      CERN, Switzerland,                                                        * 
 *      U. of Victoria, Canada,                                                   * 
 *      MPI-KP Heidelberg, Germany                                                * 
 *      LAPP, Annecy, France                                                      *
 *                                                                                *
 * Redistribution and use in source and binary forms, with or without             *
 * modification, are permitted according to the terms listed in LICENSE           *
 * (http://mva.sourceforge.net/license.txt)                                       *
 *                                                                                *
 * File and Version Information:                                                  *
 * $Id: TMVA_GeneticGenes.h,v 1.2 2006/04/07 10:35:02 andreas.hoecker Exp $    
 **********************************************************************************/

#ifndef TMVA_GeneticGenes_H
#define TMVA_GeneticGenes_H
#include <vector>


class TMVA_GeneticGenes{
 public:
  std::vector< double > factors;
  std::vector< double > results;
  
  TMVA_GeneticGenes( ){
  }
  
  TMVA_GeneticGenes( std::vector< double > f  ) {
    factors = f;
        }
  
  void clear(){
    factors.clear();
    results.clear();
  }
  
  void clearResults(){
    results.clear();
  }
};


#endif // TMVA_GeneticGenes_H
