/**********************************************************************************
 * Project: TMVA - a Root-integrated toolkit for multivariate data analysis       *
 * Package: TMVA                                                                  *
 * Class  : TMVA_MethodCFMlpANN_utils                                             *
 *                                                                                *
 * Reference for the original FORTRAN version "mlpl3.F":                          *
 *      Authors  : J. Proriol and contributions from ALEPH-Clermont-Fd            *
 *                 Team members                                                   *
 *      Copyright: Laboratoire Physique Corpusculaire                             *
 *                 Universite de Blaise Pascal, IN2P3/CNRS                        *
 * Description:                                                                   *
 *      Utility routine, obtained via f2c from original mlpl3.F FORTRAN routine   *
 *                                                                                *
 * Authors (alphabetical):                                                        *
 *      Andreas Hoecker <Andreas.Hocker@cern.ch> - CERN, Switzerland              *
 *      Xavier Prudent  <prudent@lapp.in2p3.fr>  - LAPP, France                   *
 *      Helge Voss      <Helge.Voss@cern.ch>     - MPI-KP Heidelberg, Germany     *
 *      Kai Voss        <Kai.Voss@cern.ch>       - U. of Victoria, Canada         *
 *                                                                                *
 * Copyright (c) 2005:                                                            *
 *      CERN, Switzerland,                                                        * 
 *      U. of Victoria, Canada,                                                   * 
 *      MPI-KP Heidelberg, Germany,                                               * 
 *      LAPP, Annecy, France                                                      *
 *                                                                                *
 * Redistribution and use in source and binary forms, with or without             *
 * modification, are permitted according to the terms listed in LICENSE           *
 * (http://mva.sourceforge.net/license.txt)                                       *
 *                                                                                *
 * File and Version Information:                                                  *
 * $Id: TMVA_MethodCFMlpANN_utils.h,v 1.2 2006/03/14 23:41:52 andreas.hoecker Exp $ 
 **********************************************************************************/

#ifndef TMVA_MethodCFMlpANN_utils_
#define TMVA_MethodCFMlpANN_utils_

/* external read, write */
typedef struct 
{
  int cierr; 
  int ciunit; 
  int ciend; 
  char *cifmt; 
  int cirec; 
} cilist; 

/* open */
typedef struct
{
  int oerr;
  int ounit;
  char *ofnm;
  int ofnmlen;
  char *osta;
  char *oacc;
  char *ofm;
  int orl;
  char *oblnk;
} olist;

/* close */ 
typedef struct 
{
  int cerr; 
  int cunit; 
  char *csta; 
} cllist; 

#endif // TMVA_MethodCFMlpANN_utils_
